Status: Closed Start date: December 09, 2015

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: core Estimated time: 0.00 hour

Target version: 4.4   

Affects version: 3.6.2   

Description

Audacious does not seem to know that disc numbers exist.

History

#1 - July 10, 2016 06:43 - John Lindgren

I don't seem to know that disc numbers exist.  What do you mean, exactly?

#2 - July 21, 2016 00:58 - J R

http://wiki.hydrogenaud.io/index.php?title=Foobar2000:ID3_Tag_Mapping

DISCNUMBER | ID3 frame: TPOS | Description: Part of a set

So for example a 2-CD album might have disc 1, tracks 1-10 and then disc 2, tracks 1-5 (aka no disc, tracks 11-15).

#3 - August 23, 2017 07:06 - Space Trash

I noticed the same problem.

(I'm not a programmer, so I apologize if this is not worded/formatted properly, but I'll get the point across.)

If you have, say, a double album (1 album of 2 CDs - like the White Album) with 30 tracks (15 on each CD), the mp3s will (or should) be tagged with a

disc number (I've seen it called "album number", or "part" of a box set) in addition to the track number.

So instead of having 30 tracks numbered this way: 01, 02, 03, 04,..., 30.

You have 30 tracks numbered this way: 1.01, 1.02, 1.03, 1.04,..., 1.15, 2.01, 2.02, 2.03, 2.04,..., 2.15. (in a "disc#.track#" format)

(Which, I guess, makes sense, since the first track off CD2 is a number 01, not 15).

So, if the disc number is taken in consideration by the media player, in both cases, you'll have your album playing in the intended order (such is the

case with Foobar2000; and I think Rhythmbox, also.)

Audacious does not seem to recognize disc number, so if you load a double album with the tracks numbered in the "disc#.track#" format, the tracks

will not play in the intended order. Instead it'll play something like this:

01, 15, 02, 16, 03, 17, and so on; or 15, 1, 16, 02, 17, 03; I guess it depends on alphabetical order of the track titles as well.

But what needs to be noticed is that Audacious will play both tracks numbered 01 (of CD1 and CD2), then move on to both tracks numbered 02, etc.

because it is not programmed to play CD1 first, and then move on to CD2. All it sees is a 30-track album comprised of 15 pairs of numbers: 01, 01,

02, 02, 03, 03,... 15, 15.

So in the end, in most cases, if you want to sort the tracks for them to play in the appropriate order, you have to use another approach (like sorting

them manually or using another player).
#4 - December 02, 2019 20:51 - John Lindgren

- Category set to core

#5 - August 03, 2022 18:46 - John Lindgren

- Status changed from New to Rejected

Closing feature requests that have seen no activity in 3 years.

#6 - July 02, 2023 22:06 - Thomas Lange

- Target version set to 4.4

- Priority changed from Major to Minor

- Status changed from Rejected to Closed

Implemented by zeripath with these pull requests:

- https://github.com/audacious-media-player/audacious/pull/63

- https://github.com/audacious-media-player/audacious-plugins/pull/139
